---
title: "Updates a service request form using the provided ID"
url: "https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625/operations/updateSRFDocuments"
---

> Full API specification: https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625.md

# Updates a service request form using the provided ID

`PUT` `/document/v3/service-request-form/update/{documentId}`

Operation ID: `updateSRFDocuments`

Updates a service request form based on the given ID. The form details will be modified as per the provided information.

## Path parameters

- `documentId` (string, required)

## Header parameters

- `x-correlation-id` (string, optional)

## Request body

Content types: `multipart/form-data`

## Responses

- `200` - service request form updated successfully
- `400` - Bad request
- `403` - Forbidden
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Enterprise Documents API
  version: 3.1.0
servers:
  - url: https://dev.api.zinnia.io
    description: Dev Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /document/v3/service-request-form/update/{documentId}:
    put:
      security:
        - Auth0: []
      tags:
        - ServiceRequestForms V3
      summary: Updates a service request form using the provided ID
      description: Updates a service request form based on the given ID. The form
        details will be modified as per the provided information.
      operationId: updateSRFDocuments
      parameters:
        - name: x-correlation-id
          in: header
          required: false
          schema:
            type: string
        - name: documentId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              required:
                - metadata
              type: object
              properties:
                file:
                  type: string
                  format: binary
                metadata:
                  $ref: "#/components/schemas/ServiceRequestFormUpdateMetaData"
      responses:
        "200":
          description: service request form updated successfully
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServiceRequestFormMetadataOperationsResponse"
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              examples:
                InvalidRequest:
                  summary: Invalid input
                  description: InvalidRequest
                  value:
                    correlationId: 123e4567-e89b-12d3-a456-426614174000
                    success: false
                    message: Invalid request format
                    statusCode: 400
                MissingField:
                  summary: Missing required field
                  description: MissingField
                  value:
                    correlationId: 123e4567-e89b-12d3-a456-426614174000
                    success: false
                    message: "'documentType' is required"
                    statusCode: 400
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              examples:
                AccessDenied:
                  summary: Access denied
                  description: AccessDenied
                  value:
                    correlationId: 123e4567-e89b-12d3-a456-426614174000
                    success: false
                    message: User not authorized to perform this action
                    statusCode: 403
        "500":
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
              examples:
                UnexpectedError:
                  summary: Unexpected server error
                  description: UnexpectedError
                  value:
                    correlationId: 123e4567-e89b-12d3-a456-426614174000
                    success: false
                    message: Required part 'metadata' is not present.
                    statusCode: 0
                    errorCode: INTERNAL_ERROR
security:
  - Auth0: []
components:
  schemas:
    ServiceRequestFormUpdateMetaData:
      type: object
      properties:
        publicFormUrl:
          type: string
          description: Publicly accessible URL
          example: https://www.w3.org/WAI/ER/tests/xhtml/testfiles/resources/pdf/dummy.pdf
        formId:
          type: string
          description: Id to the specific form instance
          example: "1234567"
        formName:
          type: string
          description: Name or title of the form
          example: Annuity Surrender Form
        parentCarrierCode:
          type: string
          description: The code of the parent carrier
          example: EVGL
        fileType:
          type: string
          description: The type of file
          example: PDF
        formType:
          type: string
          description: Type of the form
          example: Redemption
        formSubType:
          type: string
          description: Further classification of the form type
          example: Full Surrender
        formCategory:
          type: string
          description: Category that describes the purpose of the form
          example: Financial
        barcodeContent:
          type: string
          description: Barcode data used for identifying or scanning the form
          example: 13qwf312wfw312fqe2jtyktym
        stateApplicable:
          type: string
          description: State where the form is applicable or valid
          example: NY
        formStatus:
          type: string
          description: formStatus
          example: ACTIVE
    ServiceRequestFormMetadataOperationsResponse:
      type: object
      properties:
        correlationId:
          type: string
          description: Unique ID for correlating requests
          example: 123e4567-e89b-12d3-a456-426614174000
    ErrorResponse:
      type: object
      properties:
        correlationId:
          type: string
          description: Unique ID for correlating requests
          example: 123e4567-e89b-12d3-a456-426614174000
        message:
          type: string
          description: Response message
          example: No document types found/Invalid request/Access denied for document
            metadata fetch
        statusCode:
          type: integer
          description: status code
          format: int32
        success:
          type: boolean
        errorCode:
          type: string
          description: Machine-readable error code, present on timeouts and unhandled
            errors.
          enum:
            - GATEWAY_TIMEOUT
            - DB_TIMEOUT
            - INTERNAL_ERROR
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://api.zinnia.io
          client_id:
            - bGOIRPRq2ZnjCujDXC7ikwR5ez7VH5GZ
          auth_methods:
            - bearer
          scopes: []
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
